Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.binding
Class BindingInfo

    java.lang.Object
      |
      +--weblogic.webservice.binding.BindingInfo

Direct Known Subclasses:
  HttpsBindingInfo

public class BindingInfo
extends java.lang.Object

Binding information needed to create a Binding.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static java.lang.String` | `DEFAULT_TRANSPORT`
`static java.lang.String` | `SOAP11`
`static java.lang.String` | `SOAP12`

Constructor Summary
`BindingInfo()` Constructs a new BindingInfo.

Method Summary
`java.lang.String` | `getAcceptCharset()` Returns the character set that is being used for the response.
`java.lang.String` | `getAddress()` Returns the address of the end point.
`java.lang.String` | `getCharset()` Returns the character set that is being used for this request.
`int` | `getTimeout()` Returns the timeout in seconds that is being used for this request.
`java.lang.String` | `getTransport()` Returns the transport used by this BindingInfo.
`boolean` | `isSoap12()` Returns whether this BindingInfo uses SOAP 1.2.
`boolean` | `isVerbose()` Checks to see whether the binding is in verbose mode.
`void` | `setAcceptCharset(java.lang.String acceptCharset)` Sets the character set that should be used for the response.
`void` | `setAddress(java.lang.String address)` Sets the address of the end point.
`void` | `setCharset(java.lang.String charset)` Sets the character set that should be used for request.
`void` | `setTimeout(int timeout)` Sets the timeout in seconds that should be used for request.
`void` | `setVerbose(boolean verbose)` Sets verbose mode on or off.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SOAP11

    public static final java.lang.String SOAP11

### SOAP12

    public static final java.lang.String SOAP12

### DEFAULT_TRANSPORT

    public static final java.lang.String DEFAULT_TRANSPORT

Constructor Detail

### BindingInfo

    public BindingInfo()

  Constructs a new BindingInfo.

Method Detail

### getTransport

    public java.lang.String getTransport()

  Returns the transport used by this BindingInfo.

  Returns:
    transport

### getAddress

    public java.lang.String getAddress()

  Returns the address of the end point.

  Returns:
    end point address

### setAddress

    public void setAddress(java.lang.String address)

  Sets the address of the end point.

  Parameters:
    `address` - end point address

### isSoap12

    public boolean isSoap12()

  Returns whether this BindingInfo uses SOAP 1.2.

  Returns:
    true if this binding info is soap 1.2

### getCharset

    public java.lang.String getCharset()

  Returns the character set that is being used for this request.

  Returns:
    charset

### setCharset

    public void setCharset(java.lang.String charset)

  Sets the character set that should be used for request.

  Parameters:
    `charset` - charset to set

### getTimeout

    public int getTimeout()

  Returns the timeout in seconds that is being used for this request.

  Returns:
    timeout timeout in seconds

### setTimeout

    public void setTimeout(int timeout)

  Sets the timeout in seconds that should be used for request.

  Parameters:
    `timeout` - timeout in seconds to set

### getAcceptCharset

    public java.lang.String getAcceptCharset()

  Returns the character set that is being used for the response.

  Returns:
    charset that is prefered for the response

### setAcceptCharset

    public void setAcceptCharset(java.lang.String acceptCharset)

  Sets the character set that should be used for the response.

  Parameters:
    `acceptCharset` - charset prefered for the response

### isVerbose

    public boolean isVerbose()

  Checks to see whether the binding is in verbose mode.

  Returns:
    true is verbose is on

### setVerbose

    public void setVerbose(boolean verbose)

  Sets verbose mode on or off.

  Parameters:
    `verbose` - true to set verbose on

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD